package io.gmss.fiscad.interfaces.rfu.parametre;

import io.gmss.fiscad.entities.rfu.parametre.Equipe;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import io.gmss.fiscad.paylaods.request.EquipePayload;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface EquipeService {

    Equipe createEquipe(EquipePayload equipePayload) throws BadRequestException;

    Equipe updateEquipe(Long id, EquipePayload equipePayload) throws NotFoundException;

    void deleteEquipe(Long id) throws NotFoundException;

    Page<Equipe> getEquipeList(Pageable pageable);

    List<Equipe> getEquipeList();

    Optional<Equipe> getEquipeById(Long id);
}

